Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 276354 - net-libs/xulrunner-1.9.1 needs alsa for ogg support
Summary: net-libs/xulrunner-1.9.1 needs alsa for ogg support
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-03 10:06 UTC by Sven Müller
Modified: 2009-08-05 12:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to make Firefox and Xulrunner compile without alsa (replace_alsa_with_oss.patch,1.39 KB, patch)
2009-07-05 13:57 UTC, Sven Müller
Details | Diff
Ebuild for Firefox-3.5 to use the Patch above (mozilla-firefox-3.5-r2.ebuild,9.36 KB, patch)
2009-07-05 13:58 UTC, Sven Müller
Details | Diff
Ebuild for Xulrunner to use the patch above (xulrunner-1.9.1.ebuild,6.67 KB, patch)
2009-07-05 13:58 UTC, Sven Müller
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Müller 2009-07-03 10:06:01 UTC
I'm using oss4.1 instead of alsa. Now I wanted to try Firefox-3.5. In the depency xulrunner wanted to install:

[ebuild  N    ] media-sound/alsa-headers-1.0.20 
[ebuild  N    ] media-libs/alsa-lib-1.0.20

So, logically I edited the ebuild, and removed the alsa depency from xulrunner-1.9.1.ebuild. And then I got the error message while configuring:

checking for snd_pcm_open in -lasound... no
configure: error: Ogg support on Linux requires the alsa library

That's really new for me, that ogg would need any alsa library. I'm using ogg for ages with oss. Please check that and remove the alsa depency.

Reproducible: Always
Comment 1 Rafał Mużyło 2009-07-03 11:38:26 UTC
Complain upstream.
Mozilla uses a copy of libsydney.
On Linux, that means one file from it:
sydney_audio_alsa.c.
As the name suggests, alsa is required.
Comment 2 Jory A. Pratt gentoo-dev 2009-07-04 00:26:37 UTC
(In reply to comment #0)
> I'm using oss4.1 instead of alsa. Now I wanted to try Firefox-3.5. In the
> depency xulrunner wanted to install:
> 
> [ebuild  N    ] media-sound/alsa-headers-1.0.20 
> [ebuild  N    ] media-libs/alsa-lib-1.0.20
> 
> So, logically I edited the ebuild, and removed the alsa depency from
> xulrunner-1.9.1.ebuild. And then I got the error message while configuring:
> 
> checking for snd_pcm_open in -lasound... no
> configure: error: Ogg support on Linux requires the alsa library
> 
> That's really new for me, that ogg would need any alsa library. I'm using ogg
> for ages with oss. Please check that and remove the alsa depency.
> 
> Reproducible: Always
> 

If you want the dep removed, please file a bug upstream. Gentoo is not in the business of reprogramming the mozilla code just to remove deps that user do not wish for.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2009-07-04 08:41:13 UTC
For the sake of completeness I gonna reassign this bug to the mozilla herd so that they can do the RESO UPSTREAM.
Comment 4 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-07-04 10:10:34 UTC
Please file a bug upstream and paste the URL here so we can CC ourselves and follow up. Thanks.
Comment 5 Sven Müller 2009-07-05 13:57:00 UTC
Created attachment 196761 [details, diff]
Patch to make Firefox and Xulrunner compile without alsa
Comment 6 Sven Müller 2009-07-05 13:58:29 UTC
Created attachment 196765 [details, diff]
Ebuild for Firefox-3.5 to use the Patch above
Comment 7 Sven Müller 2009-07-05 13:58:50 UTC
Created attachment 196766 [details, diff]
Ebuild for Xulrunner to use the patch above
Comment 8 Sven Müller 2009-07-05 14:02:59 UTC
To get oss-support and get rid of that alsa dependency, just put the patch into the files folder (/usr/portage/...) of Xulrunner and Firefox and use the modified ebuilds. If you get the error message "Couldn't load XPCOM." when you try to start firefox, rebuild nss or do just a revdep-rebuild.
Comment 9 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-07-07 14:14:38 UTC
(In reply to comment #5)
> Created an attachment (id=196761) [edit]
> Patch to make Firefox and Xulrunner compile without alsa
> 

That patch completely disables alsa support. Plus, you really want to open an upstream bug for this, or see if there already is one open so that others can get the benefit as well :)
Comment 10 Sven Müller 2009-07-08 23:27:12 UTC
(In reply to comment #9)
> That patch completely disables alsa support. Plus, you really want to open an
> upstream bug for this, or see if there already is one open so that others can
> get the benefit as well :)

Yes, this patch disables alsa completely. For my purposes it's all I needed. For more modifications I don't have sufficient knowledge. 

I tried to register on bugzilla of mozilla, but they didn't send me an activation email. Therefore, if someone else wants to send this bug-report to the mozilla community, feel free to do it. I had to downgrade back to Xulrunner-1.9.0 because Eclipse-3.4 didn't work with Xulrunner-1.9.1. And at the moment that's more important to me.

Comment 11 Jory A. Pratt gentoo-dev 2009-07-09 04:01:34 UTC
(In reply to comment #5)
> Created an attachment (id=196761) [edit]
> Patch to make Firefox and Xulrunner compile without alsa
> 

Upstream will never include this no point in opening a bug about it upstream as I will close it invalid. There has been much talk about this and until oss4 is released as a final over alsa in kernel nothing will change. 
Comment 12 Frédéric Heulin 2009-08-05 08:41:14 UTC
Without regard to oss4, this patch is still interesting in order to be able to a firefox without alsa
(as we already have xulrunner without it).

Demonstrations machines, and in my case my work machine, don't need sound in the first place, thus alsa 
but need firefox to search on the web.

a -alsa or -ogg flag on firefox-3.5 would be a great thing.
Comment 13 Jory A. Pratt gentoo-dev 2009-08-05 12:53:10 UTC
(In reply to comment #12)
> Without regard to oss4, this patch is still interesting in order to be able to
> a firefox without alsa
> (as we already have xulrunner without it).
> 
> Demonstrations machines, and in my case my work machine, don't need sound in
> the first place, thus alsa 
> but need firefox to search on the web.
> 
> a -alsa or -ogg flag on firefox-3.5 would be a great thing.
> 

This has already been fixed in the tree.